2

We have a Drupal 7 site running Drupal Commerce. Our host has now informed us that they will be updating PHP from 5.6.3 to PHP 7.2.

Is Drupal Commerce for Drupal 7 compatible with PHP 7.2? I have tested Drupal 7 with PHP 7.2 on another domain; for most of the part, it appears to work. However, I have not been able to test Commerce on PHP 7.2, yet.

1

Compatible with PHP 7.2?

Yes, currently the only issue I see in the issue queue is:

PHP 7.2 Warning: A non-numeric value encountered in commerce_currency_amount_to_decimal()

You'll have to apply this patch yourself since it has not been committed.

  • 2
    Will review / commit today. : ) – Ryan Szrama Apr 24 at 14:33
  • Great! Thanks for the reply :) – user2381937 Apr 25 at 12:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.